export interface ProxyPorts {
    http: number;
    socks5: number;
}
export interface Proxy {
    username: string;
    password: string;
    proxy_address: string;
    ports: ProxyPorts;
    valid: boolean;
    last_verification: string;
    country_code: string;
    country_code_confidence: number;
    city_name: string | null;
}
export interface ProxyshareListResult {
    count: number;
    next: null | string;
    previous: null | string;
    results: Proxy[];
}
import HttpProxyAgent from "http-proxy-agent";
import SocksProxyAgent from "socks-proxy-agent";
export declare class ProxyShare {
    private token;
    private proxies;
    constructor(token: string);
    getProxies(): Promise<ProxyshareListResult>;
    randomHttpAgent(): HttpProxyAgent.HttpProxyAgent;
    randomSocksAgent(): SocksProxyAgent.SocksProxyAgent;
}
