import HttpProxyAgent from "http-proxy-agent";
import SocksProxyAgent from "socks-proxy-agent";
import fetch from "node-fetch";
export class ProxyShare {
    token;
    proxies = [];
    constructor(token) {
        this.token = token;
    }
    async getProxies() {
        const result = await fetch("https://proxy.webshare.io/api/proxy/list", {
            headers: {
                "Authorization": `Token ${this.token}`
            }
        }).then((r) => r.json());
        for (const p of result.results) {
            this.proxies.push(p);
        }
        return result;
    }
    randomHttpAgent() {
        const p = this.proxies[Math.floor(Math.random() * this.proxies.length)];
        return new HttpProxyAgent.HttpProxyAgent(`http://${p.username}:${p.password}@${p.proxy_address}:${p.ports.http}`);
    }
    randomSocksAgent() {
        const p = this.proxies[Math.floor(Math.random() * this.proxies.length)];
        return new SocksProxyAgent.SocksProxyAgent(`socks5://${p.username}:${p.password}@${p.proxy_address}:${p.ports.socks5}`);
    }
}
