"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UriBuilder = void 0;
class UriBuilder {
    uri;
    query = {};
    constructor(uri) {
        this.uri = uri;
    }
    static from(obj) {
        const uri = new UriBuilder(obj.uri);
        uri.query = obj.query;
        return uri.build();
    }
    ;
    addQuery(key, value) {
        this.query[key] = value;
        return this;
    }
    build() {
        let root = this.uri;
        if (Object.keys(this.query).length > 0) {
            root += "?";
            root += Object.keys(this.query).map(key => `${key}=${this.query[key]}`).join("&");
        }
        return root;
    }
}
exports.UriBuilder = UriBuilder;
