export interface OmegleStatus {
    count: number;
    antinudeservers: string[];
    spyQueueTime: number;
    rtmfp: string;
    antinudepercent: number;
    spyeeQueueTime: number;
    timestamp: number;
    servers: string[];
}
export interface GenericObject {
    [key: string]: any;
}
export declare enum PollResponseState {
}
export declare type PollState = "disconnect" | "connect" | "idle" | "digest" | "message" | "typing";
export declare type PollResponse<T> = T extends "disconnect" ? {
    state: "disconnect";
    body: OmegleStatus;
} : T extends "digest" ? {
    state: "digest";
    body: string;
} : T extends "connect" ? {
    state: "connect";
} : T extends "idle" ? {
    state: "idle";
} : T extends "message" ? {
    state: "message";
    body: string;
} : T extends "typing" ? {
    state: "typing";
} : T extends "status" ? {
    state: "status";
    body: OmegleStatus;
} : T extends "recaptcha" ? {
    state: "recaptcha";
    body: string;
} : never;
export interface TextClientEvents {
    "status": (status: OmegleStatus) => void;
    "raw": (content: string[]) => void;
    "connect": (session: string) => void;
    "message": (content: string) => void;
    "captcha": (token: string) => void;
    "digest": (digests: string[]) => void;
    "disconnect": () => void;
    "typing": () => void;
    "blocked": () => void;
    "waiting": () => void;
}
export interface TextClientResponse {
    events: [
        string[]
    ];
    clientID?: string;
}
